"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1104ba0e0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1104ba170>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1104ba200>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1104ba290>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1104ba320>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1104ba3b0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1104ba440>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1104ba4d0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1104ba560>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1104ba5f0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1104ba680>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1104ba710>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1104ba7a0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1104ba830>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1104ba8c0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1104ba950>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1104ba9e0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1104baa70>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1104bab00>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1104bab90>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1104bac20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1104bacb0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1104bad40>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1104badd0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1104baef0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1104bae60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1104baf80>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1104bb010>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1104bb0a0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1104bb130>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1104bb1c0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1104bb250>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1104bb2e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1104bb370>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1104bb400>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1104bb490>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1104bb520>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1104bb5b0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1104bb640>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1104bb6d0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1104bb760>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1104bb7f0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1104bb880>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1104bb910>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1104bb9a0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1104bba30>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1104bbac0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1104bbb50>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1104bbbe0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1104bbc70>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1104bbd00>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1104bbd90>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1104bbe20>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1104bbeb0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1104bbf40>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0040>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1104f00d0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0160>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1104f01f0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0280>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0310>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1104f03a0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0430>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1104f04c0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0550>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0700>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1104f05e0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0790>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0820>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1104f08b0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0940>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1104f09d0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0af0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0a60>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0b80>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0c10>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0ca0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0dc0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0d30>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0e50>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0ee0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x1104f0f70>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1104f1000>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x1104f1090>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1104f1120>)]
name: str = 'fr_HOCCN'
